/********************************* (C) РОТЕК ***********************************
 * @module  bt_6701_settings
 * @file    bt_6701_settings.h
 * @version 1.0.0
 * @date    XX.XX.XXXX
 * $brief   bt_6701_settings
 *******************************************************************************
 * @history     Version  Author         Comment
 * XX.XX.XXXX   1.0.0    Telenkov D.A.  First release.
 *******************************************************************************
 */

/* Define to prevent recursive  ----------------------------------------------*/
#ifndef __BT_6701_SETTINGS_H
#define __BT_6701_SETTINGS_H

#include <stdbool.h>


char * SETTINGS_GetTestState(void);

/**
  * @brief  Установить параметры обновления ПО по умолчанию
  */
void BT_6701_SetBootParamsDef(void);

/**
  * @brief
  */
void SETTINGS_SetTest(char *state);

/**
  * @brief  Устанавливает Serno, но не сохраняет новые настройки во флеш
  */
void SETTINGS_SetSerno(char *serno);

/**
  * @brief  Устанавливает mac, но не сохраняет новые настройки во флеш
  */
void SETTINGS_SetMac(char *mac);

/**
  * @brief  Установить параметры сетевого подключения по умолчанию
  */
void Service_SETTINGS_SetWebParamsDef(void);

/**
  * @brief  Установить временные параметры сетевого подключения по умолчанию
  */
void Service_SETTINGS_SetTempWebParamsDef(void);

#endif /* #ifndef __BT_6701_SETTINGS_H */

/********************************* (C) РОТЕК **********************************/
